<bugID>475138<Summary>Undo-close-tab opens in wrong order and messes up Cmd-# tab jump</Summary><Description>1) Open a new window (cmd-n) then open 2 new tabs (cmd-t, cmd-t)
2) Switch to tab #2 (cmd-2) [one left of the last opened tab]
3) Close tab #2 (cmd-w), and close new tab #2 (cmd-w)
4) Undo close tab twice (cmd-shift-t, cmd-shift-t)

expected: 2 blank tabs to the right of the initial tab like..
[original tab cmd-1][blank tab1 cmd-2][blank tab2 cmd-3]

actual: original tab #1 (cmd-1) is in position 2, cmd-2 activates the first tab (tab #2)
[blank tab1 cmd-2][original tab cmd-1][blank tab2 cmd-3]

Beltzner: Potentially would want to backout unless we find a fix soon? But maybe not if undo close tab is the only way to trigger it.. ?</Description></bugID>